$packageName = 'HWiNFO.install'
$fileType = 'exe'
$silentArgs = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART'
$version = '5.50'
$version = $version.Replace(".","")
$url = "https://www.hwinfo.com/files/hw32_$version.exe"
$url64 = "https://www.hwinfo.com/files/hw64_$version.exe"
$checksum = '64cb5257a4be137f2ba0c5e98d9a5a711137dadad419c8109785a9aabc1c3a6bb6c4a42d0c81dc02d565d7d1853c1ce857add405fe9b32955cb6924b06c68e95'
$checksum64 = '6970f31a8cf680fe8f7c88729e3a8803d302c3e5330460f4cdf6625ccb6fc4f9bbe6daf223366f5863206cac77768c2c1f7deba01d45a2f3d4e2c773b936843d'
$checksumType = 'SHA512'

$options =
@{
  Headers = @{
    Referer = 'https://www.hwinfo.com/download.php';
  }
}


Install-ChocolateyPackage $packageName $fileType $silentArgs $url $url64 `
-checksum $checksum -checksumType $checksumType -checksum64 $checksum64 -Options $options
# Kill the process after it starts- there is no way to prevent autostart after install
Get-Process | Where { $_.name -eq 'HWiNFO64' } | Stop-Process
Get-Process | Where { $_.name -eq 'HWiNFO32' } | Stop-Process
